
Redmine - Defect #32544

Merge commits adding test fixtures for 4.1 features to 4.1-stable branch.

2019-12-02 08:51 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The following commits fixes tests, which are missing fixtures, for features that are (going to be) introduced in Redmine 4.1.0:

r19327 for #32540 (for #31954 & #23997 with r18402)

r19071 for #32444 (for #29489 with r18297)

r19088 for #32478 (for #30346 with r19059)

I think these commits needs to be shipped with the 4.1.0 release, hence they need to be merged within source:/branches/4.1-stable.

Note 1: I've assigned this issue to 4.1.0 just to make sure these commits are indeed merged before release. This assignment should

be made undone after merging as this doesn't need to be included on the changelog for 4.1.0.

Note 2: I've assigned this issue to Go as he's the one who has committed these fixtures in the first place.

History

#1 - 2019-12-03 07:15 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (4.1.0)

Merged the three commits to 4.1-stable branch. Thank you for pointing it out.

#2 - 2019-12-03 08:31 - Mischa The Evil

Go MAEDA wrote:

Merged the three commits to 4.1-stable branch. Thank you for pointing it out.

No problem. Thanks for taking care of it. Just a quick note though: it might be best to remove target version 4.2.0 from the related issues #32444, 

#32478 and #32540 as:

1. they are not going to be introduced first in 4.2.0; and

2. these changes don't have to be included on the changelog in the first place IMHO.

#3 - 2019-12-03 08:49 - Go MAEDA

Mischa The Evil wrote:

Thanks for taking care of it. Just a quick note though: it might be best to remove target version 4.2.0 from the related issues #32444, #32478 and

#32540 as:

1. they are not going to be introduced first in 4.2.0; and

2. these changes don't have to be included on the changelog in the first place IMHO.

 You are absolutely right. I have just removed those issues from 4.2.0.
